Bug 171389 - slow network - tcp window size always too small
slow network - tcp window size always too small
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-21 08:57 EDT by Nick Nauwelaerts
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tcpdump example 1 (1004 bytes, application/octet-stream)
2005-10-21 08:59 EDT, Nick Nauwelaerts
no flags Details
tcpdump example 2 (974 bytes, application/octet-stream)
2005-10-21 09:00 EDT, Nick Nauwelaerts
no flags Details

  None (edit)
Description Nick Nauwelaerts 2005-10-21 08:57:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
When setting up new tcp connections the window size of the connection is very small (between 5000 & 8000). This causes network transfers on lan gigabit connections not to reach their full speed.

Furthermore the problem is magnitudes worse on high bandwidth / high latency wan connections where tcp window size is important to offset the latency.

We tried bumping our tcp_rmem/tcp_wmem/wmem_max/rmem_max and other related parameters, as well as tcp_adv_win_scale, tcp_app_win & tcp_window_scaling but to no avail.


Version-Release number of selected component (if applicable):
kernel-2.4.21-27.EL

How reproducible:
Always

Steps to Reproduce:
1. use any program that communitaces over tcp (ftp, web browser, whatever)
2. tcpdump the connection which the program makes
3. see how the tcp window size never gets about 9000, or even changes after the initial connection is made

Actual Results:  slow network throughput

Expected Results:  the window size should be set to something sane, like 64K or higher.

For our wan applications we even need up to 256K window size, so the window scaling option should function as well (needed for window sizes about 64K)

Additional info:

use ethereal to extract the useful information out of tcpdump files.

If you need sample tcpdumps we can provide those as well.

problem exists in kernel-2.4.21-20.EL as well.
Comment 1 Nick Nauwelaerts 2005-10-21 08:59:29 EDT
Created attachment 120252 [details]
tcpdump example 1

This is an example tcpdump, it includes the first 10 packets of a connection.
The window size does not change over the course of the connection.
Comment 2 Nick Nauwelaerts 2005-10-21 09:00:16 EDT
Created attachment 120253 [details]
tcpdump example 2

This is another example tcpdump, it includes the first 10 packets of a
connection. The window size does not change over the course of the connection.
Comment 3 Nick Nauwelaerts 2005-11-16 05:53:34 EST
Are there any updates on this issue?

// nick
Comment 4 David Bogen 2006-04-13 17:45:20 EDT
We're seeing the same thing in the following kernels:

  2.4.21-37.0.1.ELsmp
  2.4.21-40.ELsmp

No matter what bits are flipped, it seems almost impossible to get a wscale
value of 5 or higher.  RHELv3 always seems to advertise a wcale of 0 which
limits the windows to smaller than 256K.  This is a *real* problem for those of
us that operate systems that communicate over high-bandwidth, high-latency links
(think satellites).

David Bogen
david.bogen@icecube.wisc.edu
Comment 5 RHEL Product and Program Management 2007-10-19 14:52:25 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.